<?php
/**
 *
 * @package Luzuk Premium
 */

if(get_theme_mod('blog_section_disable') != 'on' ){ ?>
	<?php 
 	if( get_theme_mod('blog_areaTpadding',true) ) {
 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
 	}
 	if( get_theme_mod('blog_areaBpadding',true) ) {
 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
 	}
 	?>
<div  class="blog-area" id="blog" >
	<?php			
 		$blog_title = get_theme_mod('blog_title_title', 'LATEST NEWS');
		$blog_pagesectext = get_theme_mod('blog_page_sectext', 'Blog');
 	?>
	<div class=" wow fadeInUp" data-wow-duration="1s">
	    <div class="container">
			<?php if($blog_title || $blog_pagesectext){ ?>
			    <div class="row justify-content-center">
			        <div class="section-title-area">
			        	<?php if($blog_pagesectext){ ?> 
				          <div class="section-subheding">
				            <?php echo ($blog_pagesectext);  ?>
				          </div>
			          <?php }?>
				          <div class="section-title">
				            <h2><?php echo ($blog_title);  ?></h2>
				          </div>
			        </div>
			    </div>
			<?php }?>
		</div>

    	<div class="row">
			<div class="container">
				<div class="blog-area-wrap">
					<div class="blog-posts">

						<?php 
						$blog_post_count = get_theme_mod('blog_post_count', 3 );
						$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
						$blog_cat_exclude = explode(',', $blog_cat_exclude);
						$args = array(
							'posts_per_page' => absint($blog_post_count),
							'category__not_in' => $blog_cat_exclude
						);
						$query = new WP_Query($args);
						if($query -> have_posts()):
							while($query -> have_posts()) : $query -> the_post();
								$luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
								?>
								<?php 
								if(has_post_thumbnail()){
									$img = esc_url($luzuk_image[0]);
								}
								if(empty($luzuk_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
								?>
								<div class="blog-post col-md-4 col-sm-6 col-xs-12">
									<div class="box-area-S">
										<div class="blog-thumbnail">
											<a href="<?php the_permalink(); ?>"><img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>"></a>
										</div>
										<div class="blog-author">
					                            <?php echo get_the_date( 'F j, Y' ); ?> <span> <?php echo get_the_author(); ?></span>
					                        </div>
										<div class="blog-single">
											<a href="<?php the_permalink(); ?>">
												<h4 class="inner-area-title"><?php the_title(); ?></h4>
											</a>
											<div class="section-area-text">
												<?php 
													if(has_excerpt()){
														echo get_the_excerpt();
													}else{
														echo luzuk_excerpt( get_the_content() , 100 );
													}
												?>
											</div>	
											<?php if( get_theme_mod('blog_button_display','show' ) == 'show') :
											?>
											<?php 
												$blogbutn_text = get_theme_mod('blogbutn_text', 'See more');
											?>

											<div class="blog-read-more">
												<a href="<?php the_permalink(); ?>"><?php echo $blogbutn_text; ?>
												</a>
											</div>
											<?php endif ?>
											<div class="clearfix"></div>
										</div>
										<div class="clearfix"></div>

									</div>
								</div>
								<?php
							endwhile;
						endif;
						wp_reset_postdata();
						?>
					</div>
						<div class="clearfix"></div>
					</div>	
  
					<div class="clearfix"></div>
				</div>
			</div>

			</div>
		<div class="clearfix"></div>
</div>
<script>
  jQuery.noConflict();
  $(function(){
    function blogsingleHeight(){
      var ht = 0;
      $('.blog-area .blog-single').each(function(i){
        var tHt = $(this).height();
        if(ht<tHt){
          ht=tHt;
        }
      });
      $('.blog-area .blog-single').height(ht+'px');
    }
    blogsingleHeight();
  });
  $( window ).resize(function(){
    blogsingleHeight();
  });
</script> 
<?php }